from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAsynchronousExecutableDialog(XInterface, Protocol):
    def setDialogTitle(self, aTitle: str) -> None: ...
    def startExecuteModal(self, xListener: XDialogClosedListener) -> None: ...
